List applicationTemplates
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve a list of applicationTemplate objects from the Azure AD application gallery.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | None. |
| Delegated (personal Microsoft account) | Not supported. |
| Application | None. |
Additional permissions are not required to call this API, as long as your application has a valid access token to call Microsoft Graph.
HTTP request
GET /applicationTemplates
Optional query parameters
This method supports some of the OData query parameters to help customize the response.
- You can use the
$filterparameter in a limited way. You can only filter by displayName or categories. For example,$filter=contains(displayName, 'salesf')or$filter=categories/any(c:contains(c, 'myCategory')). - You can use
$orderby,$top,and$skipquery parameters in any GET request.
For general information, see OData query parameters.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {code} |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of applicationTemplate objects in the response body.
Examples
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/applicationTemplates
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id" : "id-value",
"displayName" : "displayName-value",
"homePageUrl" : "homePageUrl-value",
"supportedSingleSignOnModes" : ["supportedSingleSignOnModes-value"],
"logoUrl" : "logoUrl-value",
"categories" : ["categories-value"],
"publisher" : "publisher-value",
"description" : "description-value"
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk